{ config, lib, pkgs, ... }:

let
  cfg = config.ashe.system;
in {
  networking.hostName = cfg.hostname;
  time.timeZone = cfg.timezone;
  i18n.defaultLocale = cfg.locale;
  services.xserver.enable = cfg.x11;
  users.defaultUserShell = cfg.shell;

  programs.zsh.enable = true;
  environment.systemPackages = with pkgs; [
    zsh
    neovim
    git
    vim
    wget
    htop
  ];

  services.openssh = {
    enable = true;
    settings.PasswordAuthentication = true;
    settings.PermitRootLogin = "no";
  };
}
