#!/usr/bin/env bash
set -e

SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
cd $SCRIPT_DIR/..

echo "Seeding known_hosts for (nyx|git).tempest.dev"
cat ~/.ssh/known_hosts | grep -E '(nyx|git).tempest.dev' > deploy/.ssh/known_hosts

echo "Generating deploy keys"
ssh-keygen -t ed25519 -f ./deploy/.ssh/id_ed25519 -C "$USER@nixos-deploy"
echo ""
echo "Be sure to copy these keys onto any git servers your flake pulls from and onto machines you want to deploy to"
