#!/usr/bin/env bash
set -e

SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
cd $SCRIPT_DIR/..

echo "Building Nix environment in docker"
IMAGE=$(docker build . -q -f ./deploy/Dockerfile)

echo "Starting interactive shell"
docker run \
  --name "nixos-shell" \
  --rm \
  --mount type=bind,src=$(pwd)/,dst=/deploy/ \
  --mount type=bind,src=$(pwd)/deploy/.ssh/,dst=/root/.ssh/,readonly=true \
  --mount type=volume,src=nixCache,dst=/nix/ \
  -it $IMAGE \
  bash

