{ config, pkgs, ...}: {
  services.nginx.virtualHosts."phantomthieves.net" = {
    locations."/" = {
      proxyPass = "https://melete.tempest.dev/";
      extraConfig = ''
        proxy_set_header Host $host;
      '';
      proxyWebsockets = true;
    };
    forceSSL = true;
    enableACME = true;
  };

  services.nginx.virtualHosts."forum.phantomthieves.net" = {
    locations."/" = {
      proxyPass = "https://melete.tempest.dev/";
      extraConfig = ''
        proxy_set_header Host $host;
      '';
    };
    forceSSL = true;
    enableACME = true;
  };

  services.nginx.virtualHosts."necronomicon.social" = {
    locations."/" = {
      proxyPass = "https://melete.tempest.dev/";
      extraConfig = ''
        proxy_set_header Host $host;
      '';
      proxyWebsockets = true;
    };
    forceSSL = true;
    enableACME = true;
  };

  services.nginx.virtualHosts."elk.tempest.dev" = {
    locations."/" = {
      proxyPass = "http://melete.tempest.local:5314";
      proxyWebsockets = true;
    };
    forceSSL = true;
    enableACME = true;
  };

  services.nginx.virtualHosts."m.phantomthieves.net" = {
    locations."/" = {
      proxyPass = "https://melete.tempest.dev/";
      extraConfig = ''
        proxy_set_header Host $host;
      '';
      proxyWebsockets = true;
    };
    forceSSL = true;
    enableACME = true;
  };
}
