{ config, pkgs, ...}: {
  config.services.seance = {
    enable = true;

    systems.ashe = {
      referenceUserID = "193109872240361472";
      peerPattern = "[a-zA-Z](#|,|:-) ?.*";
      autoproxyLatchScope = "global";
      autoproxyLatchTimeout = 900;
      autoproxyLatchStartEnabled = true;
      defaultPresence = "latch";
      forwardPings = true;
      dmServerID = "1189889578019074158";
      dmProxyUntagged = true;

      members.rose = {
        messagePattern = "[rR](#|,|:-) ?(?P<content>.*)";
        commandPrefix = "r";
      };

      members.echo = {
        messagePattern = "[eE](#|,|:-) ?(?P<content>.*)";
        commandPrefix = "e";
      };

      members.dawn = {
        messagePattern = "[dD](#|,|:-) ?(?P<content>.*)";
        commandPrefix = "d";
      };

      members.corona = {
        messagePattern = "[cC](#|,|:-) ?(?P<content>.*)";
        commandPrefix = "c";
      };

      members.violet = {
        messagePattern = "[vV](#|,|:-) ?(?P<content>.*)";
        commandPrefix = "v";
      };
    };
  };
}
